#hero {
    min-height: 80vh;
    padding-top: 50px; 
    padding-bottom: 0px;
    border-bottom: 0;
}

.section {
    border-top: 0;
    border-bottom: 0;
}

#projects-list {
    width: 80vw;
    display: flex;
    flex-direction: column;
    padding: 0; 
    gap: 10px;
}

.projects-container {
    display: flex;
    align-items: stretch; 
    gap: 20px;
    width: 100%;
    flex-wrap: wrap;
}

.project-title {
    flex: 1;
    max-width: 360px;
    border-right: 2px solid black; 
}

.project-image {
    flex: 2;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 90%;
    margin: auto;
    position: relative;
    overflow: hidden;
}

.project-thumbnail {
    width: 100%;
    aspect-ratio: 16 / 10;
    background-size: cover;
    background-position: center;
    margin-bottom: 15px;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    border: 1px solid;
}

.project-thumbnail:hover {
    filter: grayscale(50%);
    transform: scale(1.05);
}

.project-image::after {
    content: "Check Live Website";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 10px 20px;
    font-size: 1.2rem;
    font-weight: bold;
    text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    border-radius: 5px;
}

.project-image.no::after {
    content: "In Progress"; 
}

.project-image.none::after {
    content: "No Live Site";
}

.project-image:hover::after {
    opacity: 1;
}

.project-text {
    margin-top: 3%;
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    border-top: 2px solid;
    border-bottom: 2px solid;
}

.project-text ul {
    padding-left: 20px;
    margin-left: 2%;
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-bottom: 2%;
}

.project-title h1 {
    font-size: 2rem;
    font-weight: bold;

}

.accordion-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%; 
    padding: 50px 15px;
    background-color: white;
    border: 1px solid;
    border-radius: 15px;
    cursor: pointer;
    transition: color 0.3s ease-in-out, transform 0.2s ease-in-out;
    box-sizing: border-box; 
}

.accordion-header:hover {
    transform: scale(1.1);
}

.accordion-toggle {
    width: 18px;
    height: 18px;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.accordion-content {
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease-out, padding 0.4s ease;
    padding: 0px;
}

.accordion-content > * {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}


.accordion-header.active .accordion-toggle {
    transform: rotate(180deg);
}

.accordion-header.active + .accordion-content {
    max-height: 500px;
    padding: 10px 0px;
}



.project-text p:first-child {
    margin-bottom: 2%;
}

.pt-head {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid black; 
    margin-bottom: 15px;
    padding-bottom: 10px;
    width: 95%;
}



@media (max-width: 768px) {
    .project-image img {
        transform: scale(2);
    }

    .accordion-header {
        padding: 20px 10px;
        font-size: 1rem;
    }

    .accordion-content {
        padding: 0 10px;
    }

    .project-text p:first-child {
        margin-bottom: 3%;
    }
    
    .project-text ul {
        margin-bottom: 3%;
    }
}

@media (max-width: 480px) {
    .project-text {
        gap: 15px;
    }

    .project-image {
        aspect-ratio: 3/2;
        padding: 0 0 10px 0;
    }

    .accordion-header {
        padding: 15px 8px;
        font-size: 0.9rem;
    }

    .accordion-toggle {
        width: 14px;
        height: 14px;
    }

    .accordion-content {
        padding: 0px;
    }

    .projects-container {
        flex-direction: column;
    }

    .project-title,
    .project-image {
        flex: none;
        width: 100%;
        padding: 20px 0px;
        border-right: 0;
    }

    .project-text ul {
        padding-left: 0;
        margin-left: 0;
        gap: 10px;
        margin-bottom: 5%;
    }

    .project-text p:first-child {
        margin-bottom: 5%;
    }

    .pt-head {
        width: inherit;
    }

    #hero {
        min-height: 74vh;
    }
}
